petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscRandomRegisterAll

Registers all of the components in the PetscRandom package.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomRegisterAll(void)

Not Collective

### Keywords

PetscRandom, register, all

### See Also

PetscRandomRegister(), PetscRandomRegisterDestroy()

### Level

advanced

### Location

src/sys/classes/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages